Bug 592340 - forgets to encrypt partition after partition edit
Summary: forgets to encrypt partition after partition edit
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: David Lehman
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On: 582888
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 15:32 UTC by David Lehman
Modified: 2010-07-02 20:49 UTC (History)
3 users (show)

Fixed In Version: anaconda-13.21.44-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 582888
Environment:
Last Closed: 2010-07-02 20:49:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lehman 2010-05-14 15:32:53 UTC
+++ This bug was initially created as a clone of Bug #582888 +++

Description of problem:
when you add new partition and check encryption checkbox, anaconda forgets it after (more than one) reedition

Version-Release number of selected component (if applicable):
anaconda from F-13 Beta

How reproducible:
always

Steps to Reproduce:
1.create new partition, check encryption checkbox (there will be keylock picture in format column)
2.edit that partition, with no changes hit 'ok' (in edit dialog, encryption is still checked, and there is still keylock picture)
3.repeat step 2 (edit, hit ok) (if nothing happend, repeat once more, should reproduce itself in less than 5 edits, usualy 3)
  
Actual results:
there was still encryption checked, but keylock picture in format column is replaced by format picture and if you try to edit it again, encryption won't be checked

Expected results:
encryption still checked,keylock in format column

Comment 2 RHEL Product and Program Management 2010-05-14 15:54:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 David Cantrell 2010-05-14 22:38:05 UTC
Can we get a qa_ack for this?  Issued discovered and fixed during F-13 development, affects RHEL-6 too.

Comment 6 Alexander Todorov 2010-05-25 11:34:14 UTC
VERIFIED with RHEL6.0-20100523.0. Anaconda no longer forgets to "encrypt" the partition even after 5 or more edits.

Comment 7 releng-rhel@redhat.com 2010-07-02 20:49:42 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.